Skip to main content
GET
/
api
/
v1
/
fees
/
send-onchain
Estimate send-onchain fee
curl --request GET \
  --url https://api.example.com/api/v1/fees/send-onchain \
  --header 'Authorization: Bearer <token>'
{
  "fee_sat": 1,
  "gross_amount_sat": 1,
  "net_amount_sat": 1,
  "vtxos_spent": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://second.tech/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Base64url-encoded auth token

Query Parameters

amount_sat
integer<int64>
required

The amount in satoshis to send on-chain

Required range: x >= 0
address
string
required

The destination Bitcoin address

Response

Returns the fee estimate

A fee estimate for an Ark wallet operation.

fee_sat
integer<int64>
required

The fee portion (in satoshis)

Required range: x >= 0
gross_amount_sat
integer<int64>
required

The total amount including fees (in satoshis)

Required range: x >= 0
net_amount_sat
integer<int64>
required

The amount excluding fees (in satoshis). For sends, this is the amount the recipient receives. For receives, this is the amount the user gets.

Required range: x >= 0
vtxos_spent
string[]
required

The VTXOs that would be spent for this operation